Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Autocad OFANG Hilfssymbol wird bei Lisp-Befehl nicht nagezeigt ?!

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Autocad OFANG Hilfssymbol wird bei Lisp-Befehl nicht nagezeigt ?! (1066 mal gelesen)
T_Kaulen
Mitglied
Architekt


Sehen Sie sich das Profil von T_Kaulen an!   Senden Sie eine Private Message an T_Kaulen  Schreiben Sie einen Gästebucheintrag für T_Kaulen

Beiträge: 122
Registriert: 04.06.2004

Autocad Architecture 2012 64bit
Windows 7 64bit

erstellt am: 20. Jan. 2012 12:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum,
nutze in Autocad 2012 einige Kurztastenbefehle, die ich vor einigen Jahren mal über Lisp "programmiert" habe. Seit Version 2011 funktionieren einige nicht mehr so richtig. Unter anderem völlig einfache Linienbefehle wie nachfolgender
(defun c:lie () (command "._line" "_end" pause))

Bei Eingabe von "lie" soll eine Linie vom nächsten Endpunkt gezeichnet werden. Das funktioniert prinzipiell auch, also es wird ein Endpunkt gefangen, aber das Hilfssymbol für "Endpunkt" also dieses kleine farbige Quadrat wird nicht angezeigt, so dass die optische Kontrolle fehlt, welcher Endpunkt den nun potentiell gefangen wird. Gleiches gilt für entsprechende Befehle zum Mittelpunkt, Schnittpunkt, Lot etc.

Wenn ich die Befehle, die hier in der Lispzeile nur zusammengefasst sind einzeln eingebe, dann wird das jeweilige Hilfssymbol angezeigt, wie ich das bisher auch gewohnt war.
Hat jemand dafür eine Erklärung ??

Danke für Tips
Thomas Kaulen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 22. Jan. 2012 07:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für T_Kaulen 10 Unities + Antwort hilfreich

Hallo Thomas,
eine Erklärung habe ich nicht, vielleicht aber eine Alternative:
Code:

(defun c:lie ( / OsmodeAlt Pkt)
  (setq OsmodeAlt (getvar "OSMODE"))
  (setvar "OSMODE" 1)
  (setq Pkt (getpoint "\nErsten Linienpunkt angeben:"))
  (setvar "OSMODE" OsmodeAlt)
  (if pkt
    (command "._line" pkt pause)))

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

T_Kaulen
Mitglied
Architekt


Sehen Sie sich das Profil von T_Kaulen an!   Senden Sie eine Private Message an T_Kaulen  Schreiben Sie einen Gästebucheintrag für T_Kaulen

Beiträge: 122
Registriert: 04.06.2004

Autocad Architecture 2012 64bit
Windows 7 64bit

erstellt am: 23. Jan. 2012 15:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Jörn,
hab inzwischen im Forum Atocad Architecture durch Torsten Möhlenhoff eine Lösung gefunden. Die Variable "OSNAPCOORD" hatte den Wert 1 statt 2. Auch wenn ich deren Bedeutung nicht ganz verstanden habe, so hat die Änderung auf den Wert 2 die Lösung gebracht. die Hilfssymbole werden jetzt auch bei meiner "Kurzversion" des Lisp-Befehls angezeigt.

Danke 
Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 23. Jan. 2012 15:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für T_Kaulen 10 Unities + Antwort hilfreich

[EDIT: sendCommand gestrichen da dieser anscheinend osnapcoord NICHT berücksichtigt: siehe folgePosting von Dorfy!]

Bitte lerne die Bedeutung, denn der Osnapcoord sollte im Zweifelsfall besser auf 1 stehen  

Menü/ButtonMakro , Script , Command oder SendCommand, jede Objekt- oder Punktwahl berücksichtigt die SysVar
Und falsche Obejktwahl oder Koordinaten wären ja verhängnisvoll oder ?

Also: Explizit Osnapcoord auf 2 stellen = gut, wenn das aber nicht explizit gewünscht ist sollte man besser auf 1 stellen.


------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

[Diese Nachricht wurde von cadffm am 23. Jan. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 23. Jan. 2012 16:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für T_Kaulen 10 Unities + Antwort hilfreich

Code:
(vla-sendcommand (vla-get-activedocument (vlax-get-acad-object)) "_line _end ")

sollte auch funktionieren

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."
-Lots of irritating superfluous parentheses!-

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz